# $Revision: 1.47.2.29 $, $Date: 2008-04-03 19:23:25 $
#
%define		basever	2.14
Summary:	Collection of extensions for Epiphany
Summary(pl):	Zbir rozszerze dla Epiphany
Name:		epiphany-extensions
Version:	2.14.1.1
Release:	24
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/gnome/sources/epiphany-extensions/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	3e807a83f068e41ce34c3c653a3353b6
URL:		http://www.gnome.org/projects/epiphany/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:	epiphany-devel >= 2.14.1.1
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gtk+2-devel >= 2:2.8.3
BuildRequires:	intltool >= 0.33
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.22
BuildRequires:	xulrunner-devel >= 1.8.0.4
BuildRequires:	opensp-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	python-gnome-devel >= 2.12.0
Requires(post,postun):	scrollkeeper
Requires:	epiphany = %(rpm -q --qf '%{EPOCH}:%{VERSION}' epiphany-devel)
%requires_eq	xulrunner
Provides:	epiphany-plugins
Obsoletes:	epiphany-plugins <= 0.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# can be provided by mozilla or mozilla-embedded
%define		_noautoreqdep	libgtkembedmoz.so libgtksuperwin.so libxpcom.so

%description
Epiphany Extensions is a collection of extensions for Epiphany.

%description -l pl
Epiphany Extensions jest zbiorem rozszerze dla Epiphany.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--with-extensions=really-all \
	--with-gecko=xulrunner \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/epiphany/%{basever}/extensions/*.{la,py}
rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}-%{basever}
%find_lang %{name} --with-gnome
cat %{name}.lang >> %{name}-%{basever}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f %{name}-%{basever}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/*.so*
%{_libdir}/epiphany/%{basever}/extensions/[!l]*
%{_datadir}/%{name}
%{_omf_dest_dir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: epiphany-extensions.spec,v $
Revision 1.47.2.29  2008-04-03 19:23:25  glen
- release 24 (xulrunner 1.8.1.13)

Revision 1.47.2.28  2008-02-08 20:01:31  hawk
- release 23 (xulrunner 1.8.1.12)

Revision 1.47.2.27  2007-12-02 12:33:09  hawk
- release 22 (xulrunner 1.8.1.11)

Revision 1.47.2.26  2007-11-27 21:38:40  glen
- rel 21 (xulrunner 1.8.1.10)

Revision 1.47.2.25  2007-11-09 11:57:50  glen
- xulrunner-1_8_1_9-1_20071102_1

Revision 1.47.2.24  2007-10-20 16:27:01  hawk
- release 19 (xulrunner 1.8.1.8)

Revision 1.47.2.23  2007/09/20 19:45:25  glen
- rel 18 (xulrunner 1.8.1.7)

Revision 1.47.2.22  2007/08/28 14:42:34  glen
- rel 17 (xulrunner 1.8.1.6)

Revision 1.47.2.21  2007/07/18 16:05:20  hawk
- release 16 (xulrunner 1.8.1.5)

Revision 1.47.2.20  2007/06/18 18:26:09  glen
- rel 15

Revision 1.47.2.19  2007/06/03 15:11:38  hawk
- release 14, xulrunner 1.8.1.4

Revision 1.47.2.18  2007/03/21 22:32:52  hawk
- release 13 (xulrunner 1.8.1.3)

Revision 1.47.2.17  2007/02/26 12:02:36  hawk
- release 12

Revision 1.47.2.16  2007/01/25 13:18:37  hawk
- dropped mozilla_firefox bcond, firefox no longer provides devel package

Revision 1.47.2.15  2007/01/03 18:43:10  hawk
- specify which mozilla to use for compilation, autodetect fails with
  more than one gecko installed
- fixed xulrunner R

Revision 1.47.2.14  2007/01/01 19:51:03  hawk
- mozilla is dead, replaced mozilla deps with xulrunner deps
- release 11

Revision 1.47.2.13  2006/12/08 14:55:08  glen
- rel 10 (fixed empty commit message)

Revision 1.47.2.12  2006/12/08 14:24:11  glen
- rel 9 (mozilla-firefox-2.0)

Revision 1.47.2.11  2006/11/26 11:23:44  glen
- rel 7 (mozilla-firefox 1.5.0.8)

Revision 1.47.2.10  2006/09/15 18:21:16  glen
- rel 7 (mozilla-firefox 1.5.0.7)

Revision 1.47.2.9  2006/08/04 16:56:01  freetz
- rel.6 (firefox 1.5.0.6)

Revision 1.47.2.8  2006/08/01 16:27:03  havner
- rel 5 for rebuild with new epiphany

Revision 1.47.2.7  2006/07/29 10:17:58  freetz
- rel.4 for rebuild with firefox 1.5.0.5

Revision 1.47.2.6  2006/05/31 20:20:30  freetz
- rel.3 for rebuild

Revision 1.47.2.5  2006/05/27 08:59:36  qboosh
- automake epoch

Revision 1.47.2.4  2006/05/19 19:51:44  freetz
- rel.2, (previous one catched ephy 2.14.1 dependency), force equal
  epiphany version in BR, STBR

Revision 1.47.2.3  2006/05/19 15:33:08  freetz
- 2.14.1.1

Revision 1.47.2.2  2006/05/17 13:28:49  baggins
- rel 4
- fix wrong BR

Revision 1.47.2.1  2006/05/17 13:25:36  baggins
- merged from HEAD for GNOME 2.14

Revision 1.56  2006/05/05 15:01:40  wrobell
- rel. 3 to rebuild with mozilla firefox 1.5.0.3

Revision 1.55  2006/04/17 16:30:02  wrobell
- build with firefox by default
- rel. 2

Revision 1.54  2006/04/13 07:19:35  qboosh
- missing dir, typo

Revision 1.53  2006/04/12 17:02:08  freetz
- enable really all extensions, updated build requirement

Revision 1.52  2006/04/12 16:53:03  freetz
- hopefully last merge breakage - md5 fixed

Revision 1.51  2006/04/12 16:47:00  freetz
- fixed source0

Revision 1.50  2006/04/12 16:44:07  freetz
- post merge restore

Revision 1.49  2006/04/12 16:36:00  freetz
- merged from DEVEL

Revision 1.42.2.5  2006/04/12 16:34:21  freetz
- 2.14.1, added scrollkeeper documentation and (un)registration, updated
  file list and BR

Revision 1.42.2.4  2006/03/12 21:03:39  freetz
- 2.14.0.1, define and use basever

Revision 1.42.2.3  2006/02/14 08:56:24  freetz
- 1.9.7, removed obsoleted m4 patch

Revision 1.42.2.2  2006/02/01 18:30:19  freetz
- 1.9.6, m4 fix added

Revision 1.42.2.1  2005/10/25 21:17:36  paladine
- updated to 1.9.1
- removed mozilla_includes patch (fixed in sources)

Revision 1.48  2006/02/15 07:25:02  freetz
- release 3 for rebuild with epiphany 1.8.5

Revision 1.47  2006/02/08 17:26:22  freetz
- rel.2 for rebuild with ephy 1.8.4.1

Revision 1.46  2006/01/15 23:27:13  aredridel
- corrected changelog

Revision 1.45  2006/01/15 23:22:22  aredridel
- added BR: rpm-pythonprov

Revision 1.44  2005/11/29 20:44:12  freetz
- fixed last changlog entry

Revision 1.43  2005/11/29 20:38:56  freetz
- 1.8.2, run intltoolize

Revision 1.42  2005/10/04 09:02:11  paladine
- updated to 1.8.1

Revision 1.41  2005/09/08 12:43:38  freetz
- rel.2 (fixed lost-on-merge patches changes)

Revision 1.40  2005/09/06 18:21:43  freetz
- merged from DEVEL

Revision 1.37.2.9  2005/09/05 12:54:46  paladine
- updated to 1.8.0

Revision 1.37.2.8  2005/08/28 21:35:22  paladine
- disable adblock (epiphany craches on exit)
- disable net-monitor (experimental)
- disable sample extensions
- disable tabsmenu (doesn't work)
- disable greasemonkey
- rel. 2

Revision 1.37.2.7  2005/08/28 20:33:28  paladine
- updated to 1.7.5
- updated patches
- it's DEVEL, so lets enable really all extensions

Revision 1.37.2.6  2005/08/22 19:38:11  paladine
- rel. 3 for epiphany 1.7.5

Revision 1.37.2.5  2005/08/09 14:19:33  paladine
- rel. 2 for rebuild with epiphany 1.7.4

Revision 1.37.2.4  2005/08/09 10:14:03  paladine
- updated to 1.7.4

Revision 1.37.2.3  2005/07/27 11:00:09  paladine
- updated to 1.7.3
- updated locale-names patch

Revision 1.37.2.2  2005/07/26 15:35:44  wiget
- BR fixed epiphany (1.7.2-3) and python-gnome-devel

Revision 1.37.2.1  2005/07/12 12:46:13  freetz
- 1.7.2, %%files, BRs updated
